'-------------------------------------------------
'		sr2pegtool header file
'		Copyright (c) 2018 Masamichi Kirikae
'-------------------------------------------------
#include once "dir.bi" 	'provides constants to use for the attrib_mask parameter
#include once "file.bi"
#include once "string.bi"

#include once "datatype.bi"
#include once "fileio.bi"
#include once "keycode.bi"
#include once "squish.bi"
#include once "graphics.bi"
#include once "pnglib.bi"
#include once "ddslib.bi"
#include once "pegfile.bi"
#include once "xml.bi"
#include once "cga.bi"

#define PROGRAM_VERSION	"1.26"
#define	_INIFILE_NAME	"sr2pegtool.ini"

#define _DEBUG		0

#define F_NOERROR	0
#define F_ERROR	1

#ifndef false
	#define false	0
	#define true	(not(false))
#endif

#ifndef null
	#define null	0
#endif

#ifndef cprint
	#define cprint print #console,
#endif

#macro exit_main(a)
	cprint "": cprint "Press any key or close window.": close: sleep: return(a)
#endmacro

#define PNGTITLESTRING(w, h, b)	"PNG " + str((w)) + "x" + str((h)) + " " + str((b)*8) + "bit"

'' For MinGW-w64 runtime:
Extern _dowildcard Alias "_dowildcard" As Long
Dim Shared _dowildcard As Long = 0

#ifndef mouse_data
	type mouse_data
		x as s32
		y as s32
		wheel as s32
		button as s32
		clip as s32
	end type
#endif

#ifndef rgba_data
	type rgba_data
		r as u8
		g as u8
		b as u8
		a as u8
	end type
#endif

declare function wait_anykey() as string
declare function g_peg_pc_viewer(srcfilename as string) as s32
declare function dds_file_viewer(srcfilename as string) as s32
declare function select_number(min as s32, max as s32) as s32
declare function input_number(k as double, fms as string, minv as double, maxv as double) as double
declare function convert_png_to_dds(srcfilename as string) as s32
declare function convert_png_to_tgn(srcfilename as string) as s32
declare function read_ini(filename as string) as s32
declare function get_image_colour_string(n as s32) as string
